## org.codehaus.groovy.grails.validation
Class ScaleConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.ScaleConstraint

All Implemented Interfaces:
  Constraint

     class ScaleConstraint

extends AbstractConstraint

A constraint to manage the scale for floating point numbers (i.e., the number of digits to the right of the decimal point). This constraint supports properties of the following types:

- java.lang.Float
- java.lang.Double
- java.math.BigDecimal (and its subclasses)

When applied, this constraint determines if the number includes more nonzero decimal places than the scale permits. If so, it rounds the number to the maximum number of decimal places allowed by the scale. The rounding behavior described above occurs automatically when the constraint is applied. This constraint does not generate validation errors.

Since:
  0.4

  Created: Jan 19, 2007 Time: 8:23:44 AM
Author:
  Jason Rudolph

Field Summary

Fields inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

Constructor Summary
`ScaleConstraint()`

Method Summary
`String` `getName()`
`int` `getScale()`
`protected void` `processValidate(Object target, Object propertyValue, Errors errors)`
`void` `setParameter(Object constraintParameter)` The parameter which the constraint is validated against
`boolean` `supports(Class type)` Returns whether the constraint supports being applied against the specified type;

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`checkState, getDefaultMessage, getPropertyName, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setPropertyName, skipBlankValues, skipNullValues, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaleConstraint

    ScaleConstraint()

Method Detail

### supports

    public boolean supports(Class type)

  Description copied from interface: `Constraint`
  Returns whether the constraint supports being applied against the specified type;

  Parameters:
    `type` - The type to support
  Returns:
    True if the constraint can be applied against the specified type

### getName

    public String getName()

  Returns:
    The name of the constraint

### getScale

    public int getScale()

  Returns:
    the scale

### setParameter

    public void setParameter(Object constraintParameter)

  Description copied from interface: `Constraint`
  The parameter which the constraint is validated against

  Specified by:
    `setParameter` in interface `Constraint`
  Overrides:
    `setParameter` in class `AbstractConstraint`
  Parameters:
    `constraintParameter` - The constraintParameter to set.

### processValidate

    protected void processValidate(Object target,
                                   Object propertyValue,
                                   Errors errors)

  Specified by:
    `processValidate` in class `AbstractConstraint`

Copyright (c) 2005-2009 The Grails project